-- [T_EHR_RUS_3QO26R99FR]
if exists (select * from [EHR].[T_EHR_RUS_3QO26R99FR] where len([DOC_OID]) > 5000)
	raiserror('Уменьшить поле [DOC_OID] в таблице [T_EHR_RUS_3QO26R99FR]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_3QO26R99FR] ALTER COLUMN [DOC_OID] varchar(5000) NULL

-- [T_EHR_RUS_8CJUUR1FMQ]
if exists (select * from [EHR].[T_EHR_RUS_8CJUUR1FMQ] where len([CLIENT]) > 512)
	raiserror('Уменьшить поле [ClarificationNature] в таблице [T_EHR_RUS_8CJUUR1FMQ]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_8CJUUR1FMQ] ALTER COLUMN [CLIENT] varchar(512) NULL

if exists (select * from [EHR].[T_EHR_RUS_8CJUUR1FMQ] where len([FORM]) > 255)
	raiserror('Уменьшить поле [FORM] в таблице [T_EHR_RUS_8CJUUR1FMQ]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_8CJUUR1FMQ] ALTER COLUMN [FORM] varchar(255) NULL

if exists (select * from [EHR].[T_EHR_RUS_8CJUUR1FMQ] where len([FUNCTION]) > 255)
	raiserror('Уменьшить поле [FUNCTION] в таблице [T_EHR_RUS_8CJUUR1FMQ]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_8CJUUR1FMQ] ALTER COLUMN [FUNCTION] varchar(255) NULL

if exists (select * from [EHR].[T_EHR_RUS_8CJUUR1FMQ] where len([NPA]) > 2048)
	raiserror('Уменьшить поле [NPA] в таблице [T_EHR_RUS_8CJUUR1FMQ]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_8CJUUR1FMQ] ALTER COLUMN [NPA] varchar(2048) NULL

-- [T_EHR_RUS_CEQEUKSG9R]
if exists (select * from [EHR].[T_EHR_RUS_CEQEUKSG9R] where len([NPA]) > 2048)
	raiserror('Уменьшить поле [NPA] в таблице [T_EHR_RUS_CEQEUKSG9R]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_CEQEUKSG9R] ALTER COLUMN [NPA] varchar(2048) NULL

-- [T_EHR_RUS_JTA1FHDFOV]
if exists (select * from [EHR].[T_EHR_RUS_JTA1FHDFOV] where len([STANDARD_INN]) > 1024)
	raiserror('Уменьшить поле [STANDARD_INN] в таблице [T_EHR_RUS_JTA1FHDFOV]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_JTA1FHDFOV] ALTER COLUMN [STANDARD_INN] varchar(1024) NULL

-- [T_EHR_RUS_LBGV6F9S92]
if exists (select * from [EHR].[T_EHR_RUS_LBGV6F9S92] where len([Exclusions]) > 512)
	raiserror('Уменьшить поле [Exclusions] в таблице [T_EHR_RUS_LBGV6F9S92]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_LBGV6F9S92] ALTER COLUMN [Exclusions] varchar(512) NULL
if exists (select * from [EHR].[T_EHR_RUS_LBGV6F9S92] where len([Inclusions]) > 512)
	raiserror('Уменьшить поле [Inclusions] в таблице [T_EHR_RUS_LBGV6F9S92]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_LBGV6F9S92] ALTER COLUMN [Inclusions] varchar(512) NULL

-- [T_EHR_RUS_P08TSH954N]
if exists (select * from [EHR].[T_EHR_RUS_P08TSH954N] where len([DESCRIPTION]) > 2048)
	raiserror('Уменьшить поле [DESCRIPTION] в таблице [T_EHR_RUS_P08TSH954N]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_P08TSH954N] ALTER COLUMN [DESCRIPTION] varchar(2048) NULL

-- [T_EHR_RUS_RDSRI3E8K9]
if exists (select * from [EHR].[T_EHR_RUS_RDSRI3E8K9] where len([DESCRIPTION]) > 512)
	raiserror('Уменьшить поле [DESCRIPTION] в таблице [T_EHR_RUS_RDSRI3E8K9]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_RDSRI3E8K9] ALTER COLUMN [DESCRIPTION] varchar(512) NULL

-- [T_EHR_RUS_SDJ7F10VV4]
if exists (select * from [EHR].[T_EHR_RUS_SDJ7F10VV4] where len([DESCRIPTION]) > 1500)
	raiserror('Уменьшить поле [DESCRIPTION] в таблице [T_EHR_RUS_SDJ7F10VV4]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_SDJ7F10VV4] ALTER COLUMN [DESCRIPTION] varchar(1500) NULL

-- [T_EHR_RUS_SLM365]
if exists (select * from [EHR].[T_EHR_RUS_SLM365] where len([NPA]) > 2048)
	raiserror('Уменьшить поле [NPA] в таблице [T_EHR_RUS_SLM365]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_SLM365] ALTER COLUMN [NPA] varchar(2048) NULL

-- [T_EHR_RUS_TQA1N9DE8G]
if exists (select * from [EHR].[T_EHR_RUS_TQA1N9DE8G] where len([Description]) > 1024)
	raiserror('Уменьшить поле [Description] в таблице [T_EHR_RUS_TQA1N9DE8G]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_TQA1N9DE8G] ALTER COLUMN [Description] varchar(1024) NULL

-- [T_EHR_RUS_Z00013]
if exists (select * from [EHR].[T_EHR_RUS_Z00013] where len([OGRN]) > 255)
	raiserror('Уменьшить поле [OGRN] в таблице [T_EHR_RUS_Z00013]', 16, 10);
ALTER TABLE [EHR].[T_EHR_RUS_Z00013] ALTER COLUMN [OGRN] varchar(255) NULL